Get Service Desk Custom Fields
Returns an array of custom fields for a specified service desk.
GET /automation/servicedesks/{serviceDeskId}/customfields
- Accepts filter and sort expressions.
Headers
- Authorization: Bearer {hash string returned from Auth}
Model Schema
|
Field |
Datatype |
Filterable |
Sortable |
|
|
|
|
|
|
|
|
|
|
|
|
|
||
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
Sample Response Model
{"TotalRecords": 6,
"Result": [
{"CustomFieldId": "67449975180088004967960281",
"Ref": "FollowUpDate",
"Caption": "Follow-Up Date",
"Order": 5,
"Format": "Date",
"DefaultValue": null,
"Attributes": null
},
{"CustomFieldId": "49899726850089664255134865",
"Ref": "InvoiceNum",
"Caption": "Invoice Number",
"Order": 3,
"Format": "String",
"DefaultValue": null,
"Attributes": null
},
{"CustomFieldId": "98961439100073759381915709",
"Ref": "Product",
"Caption": "Product",
"Order": 1,
"Format": "List",
"DefaultValue": null,
"Attributes": null
},
{"CustomFieldId": "93023866540078435200880949",
"Ref": "SerialNum",
"Caption": "Serial Number",
"Order": 4,
"Format": "String",
"DefaultValue": null,
"Attributes": null
},
{"CustomFieldId": "19083190950053999073166592",
"Ref": "TimeTrack",
"Caption": "Time Tracking",
"Order": 6,
"Format": "List",
"DefaultValue": null,
"Attributes": null
},
{"CustomFieldId": "59527859240026313175129473",
"Ref": "VersionNum",
"Caption": "Version Number",
"Order": 2,
"Format": "String",
"DefaultValue": null,
"Attributes": null
}
],
"ResponseCode": 0,
"Status": "OK",
"Error": "None"
}
